<?php

namespace App\Generated\V1\Messages\AdminPartner;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;
use App\Generated\V1\DTOs\ChangePartner2NewDTO;

class Change2NewMessage extends Message
{
    use ValueHelper;

    protected $req;

    /**
     * 请求数据包
     * @return ChangePartner2NewDTO[]|null
     */
    public function getReq()
    {
        return $this->req;
    }

    public function requestRules()
    {
        return [
            ['req', 'req', ChangePartner2NewDTO::class, Constants::MODEL | Constants::OPTIONAL | Constants::ARRAY, null],
        ];
    }

    public function responseRules()
    {
        return [
        ];
    }

    public function setResponse()
    {
    }

}
